unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  DBGrids, StdCtrls, DbCtrls, ZConnection, ZDataset;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Datasource1: TDatasource;
    DBEdit1: TDBEdit;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBEdit4: TDBEdit;
    DBGrid1: TDBGrid;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    ZConnection1: TZConnection;
    ZQuery1: TZQuery;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  ZQuery1.SQL.Clear;
  ZQuery1.SQL.Add('CREATE TABLE IF NOT EXISTS adr (');
  ZQuery1.SQL.Add('ID INTEGER NOT NULL PRIMARY KEY,');
  ZQuery1.SQL.Add('Bezeichnung VARCHAR(50),');
  ZQuery1.SQL.Add('Strasse VARCHAR(50),');
  ZQuery1.SQL.Add('PLZ VARCHAR(15),');
  ZQuery1.SQL.Add('Ort VARCHAR(50),');
  ZQuery1.SQL.Add('Land VARCHAR(50),');
  ZQuery1.SQL.Add('Name VARCHAR(50),');
  ZQuery1.SQL.Add('AendDatum DATETIME');
  ZQuery1.SQL.Add(');');
  ZQuery1.ExecSQL;
  ZQuery1.SQL.Text := 'SELECT * FROM adr';
  ZQuery1.Open;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  ZQuery1.Append;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ZQuery1.Post;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  ZQuery1.Delete;
end;

end.

